#include <stdio.h>
#include <conio.h>


unsigned com_port_num;
unsigned char  mnp = 0;


void main( int argc, char *argv[] ) {

	unsigned key, f_num, doc = 0,
				signatura;

	unsigned char ma_ver = 0, mi_ver = 0;

	// определяем возможность эмуляции FOSSIL драйвером
	// протокола MNP

	asm {
		mov   ah,0E0h
		mov   al,6h
		xor   bx,bx
		int   14h
		mov   signatura,bx
		mov   ma_ver,ah
		mov   mi_ver,al
	}

	mnp = ( signatura != 0x4D58 ) ? 0 : 1;

	printf("Эмуляция MNP %s.\n\n", (mnp) ? "поддерживается"
											  : "не поддерживается");

	if(mnp) {
		printf("major = %d, minor = %d", ma_ver, mi_ver);
	}
}

